Bug 1203277 - [abrt] evince: g_type_check_instance_is_a(): evince killed by SIGSEGV
Summary: [abrt] evince: g_type_check_instance_is_a(): evince killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:62a7c4b9c1c977b57130a9a92b7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 13:58 UTC by Jason Grunhut
Modified: 2015-09-02 16:48 UTC (History)
5 users (show)

Fixed In Version: evince-3.14.2-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 20:11:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (70.71 KB, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details
File: core_backtrace (36.56 KB, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details
File: dso_list (12.17 KB, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details
File: environ (7.29 KB, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details
File: maps (62.50 KB, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details
File: open_fds (2.06 KB, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2015-03-18 13:58 UTC, Jason Grunhut
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 754481 None None None Never

Description Jason Grunhut 2015-03-18 13:58:15 UTC
Version-Release number of selected component:
evince-3.14.2-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        evince n3_region_comp.ps
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/evince
kernel:         3.18.9-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Fri 2015-02-06 11:31:02 CET, end at Wed 2015-03-18 14:41:28 CET. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_a at gtype.c:3969
 #1 atk_object_notify_state_change at atkobject.c:1212
 #2 ev_view_accessible_set_page_range at ev-view-accessible.c:583
 #3 view_update_range_and_current_page at ev-view.c:789
 #4 on_adjustment_value_changed at ev-view.c:7343
 #9 gtk_adjustment_value_changed at gtkadjustment.c:894
 #10 ev_view_set_adjustment_values at ev-view.c:669
 #11 ev_view_size_allocate at ev-view.c:3903
 #16 gtk_widget_size_allocate_with_baseline at gtkwidget.c:6075
 #17 gtk_widget_size_allocate at gtkwidget.c:6151

Comment 1 Jason Grunhut 2015-03-18 13:58:19 UTC
Created attachment 1003238 [details]
File: backtrace

Comment 2 Jason Grunhut 2015-03-18 13:58:20 UTC
Created attachment 1003239 [details]
File: cgroup

Comment 3 Jason Grunhut 2015-03-18 13:58:22 UTC
Created attachment 1003240 [details]
File: core_backtrace

Comment 4 Jason Grunhut 2015-03-18 13:58:23 UTC
Created attachment 1003241 [details]
File: dso_list

Comment 5 Jason Grunhut 2015-03-18 13:58:24 UTC
Created attachment 1003242 [details]
File: environ

Comment 6 Jason Grunhut 2015-03-18 13:58:25 UTC
Created attachment 1003243 [details]
File: exploitable

Comment 7 Jason Grunhut 2015-03-18 13:58:27 UTC
Created attachment 1003244 [details]
File: limits

Comment 8 Jason Grunhut 2015-03-18 13:58:29 UTC
Created attachment 1003245 [details]
File: maps

Comment 9 Jason Grunhut 2015-03-18 13:58:30 UTC
Created attachment 1003246 [details]
File: open_fds

Comment 10 Jason Grunhut 2015-03-18 13:58:31 UTC
Created attachment 1003247 [details]
File: proc_pid_status

Comment 11 Suvayu 2015-04-09 21:30:04 UTC
I keep seeing this crash too.  It happens when I have a pdf open as the pdf changes, and the new pdf has fewer pages.  This is quite common when I'm working with latex.

Note that the crash only happens if the current page disappears from the new pdf.  So if I have a 3 page pdf, and I'm on the last page; if the new pdf has only 2 pages, evince will crash.  However there are no crashes, if say I'm on the first page when the pdf is updated.

Comment 12 Fedora Update System 2015-06-22 09:59:40 UTC
evince-3.14.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/evince-3.14.2-3.fc21

Comment 13 Fedora Update System 2015-06-22 10:00:42 UTC
evince-3.16.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/evince-3.16.1-2.fc22

Comment 14 Fedora Update System 2015-06-23 09:15:05 UTC
Package evince-3.14.2-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evince-3.14.2-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10552/evince-3.14.2-3.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-06-25 08:18:35 UTC
evince-3.16.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-06-30 20:11:37 UTC
evince-3.14.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.